<configuration>
    <include resource="org/springframework/boot/logging/logback/defaults.xml"/>
    <springProperty scope="context" name="springAppName" source="spring.application.name"/>
    <!-- You can override this to have a custom pattern -->
    <property name="CONSOLE_LOG_PATTERN"
              value="%clr(%d{yyyy-MM-dd HH:mm:ss.SSS}){faint} %clr(${LOG_LEVEL_PATTERN:-%5p}) %clr(${PID:- }){magenta} %clr(---){faint} %clr([%15.15t]){faint} %clr(%-40.40logger{39}){cyan} %clr(:){faint} %m%n${LOG_EXCEPTION_CONVERSION_WORD:-%wEx}"/>


    <appender name="FILE" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <!--<file>log/application.log</file>-->
        <file>${user.home}/var/log/sender.log</file>


        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">



            <!-- daily rollover -->
            <fileNamePattern>${user.home}/var/log/sender.log.%d{yyyy-MM-dd}.gz</fileNamePattern>

            <!-- keep 90 days' worth of history capped at 3GB total size -->
            <maxHistory>90</maxHistory>
            <totalSizeCap>3GB</totalSizeCap>

        </rollingPolicy>

        <encoder>
            <pattern>${CONSOLE_LOG_PATTERN}}</pattern>
        </encoder>
    </appender>
    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <pattern>${CONSOLE_LOG_PATTERN}</pattern>
        </encoder>
    </appender>
    <!--<logger name="org.springframework.web.filter.CommonsRequestLoggingFilter">-->
        <!--<appender-ref ref="FILE"/>-->
    <!--</logger>-->
    <!--<logger name="com.fullstacktrace.net">-->
        <!--<appender-ref ref="FILE"/>-->
    <!--</logger>-->

    <logger name="it.posteitaliane.pec" level="debug" additivity="false">
        <appender-ref ref="FILE" />
    </logger>

    <root level="INFO">
        <appender-ref ref="STDOUT"/>
    </root>

</configuration>